Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad.render
Class ImageContentProvider

    java.lang.Object
      com.bea.p13n.ad.render.ImageContentProvider

All Implemented Interfaces
  AdContentProvider, AdRenderableContentProvider

    public class ImageContentProvider

extends Object
implements AdRenderableContentProvider

A class that provides a rendering of image mime types.

This will respond to the following AdContentProvider properties (specified in the configuration):

- ShowDocURI: The web-application scoped URI of the ShowDocServlet (defaults to `"ShowDoc"`).
- AdClickThruURI: The web-application scoped URI of the AdClickThruServlet (defaults to `"AdClickThru"`).

There are a set of metadata variables stored in the content manager which are used to control how the Ad is rendered.

adTarget may be set to 'newwindow' if the ad is to be displayed in a new browser window. Otherwise the adTarget will be displayed on the page where the request for the content is made.

The target of the click thru operation is defined either by the adTargetUrl or the adTargetContent depending upon source of the content.

- adTargetUrl -- The target url for the click thru action.
- adTargetContent -- The target content identifier if the target is stored inside the content manager.

An image map may be defined. It requires both the adMapName and the adMap attributes be defined.

- adMapName -- the name of the map as found on the name attribute of the map element.
- adMap -- The actual XHTML map for the image.

If the adWinClose attribute is defined, the rendering will add a 'close window' link for the new window.

Field Summary

Fields inherited from interface com.bea.p13n.ad.AdRenderableContentProvider
`VERSION_ID`

Fields inherited from interface com.bea.p13n.ad.AdContentProvider
`NEW_WINDOW, NEW_WINDOW_TYPE, PREVIEW`

Constructor Summary
`ImageContentProvider()`

Method Summary
`static String` | `cnvrtSC(String s)` Convert special characters.
`String` | `renderContent(Node c, long identifier, String servletBase, int height, int width, int options)` Deprecated
`String` | `renderContent(RenderableContent content, long identifier, String servletBase, int height, int width, int options)` Return the XHTML content for the specified content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageContentProvider

    public ImageContentProvider()

Method Detail

### renderContent

    public String renderContent(Node c,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Deprecated

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdContentProvider`
  Parameters
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering
  Throws
    `AdContentException`

### renderContent

    public String renderContent(RenderableContent content,
                                long identifier,
                                String servletBase,
                                int height,
                                int width,
                                int options)
                         throws AdContentException

  Return the XHTML content for the specified content.

  Specified by:
    `renderContent` in interface `AdRenderableContentProvider`
  Parameters
    `content` - The content element to render
    `identifier` - A long that is used to access the database record
    `servletBase` - The Web App root for the click thru servlet
    `height` - The suggested height
    `width` - The suggested width
    `option` - The options for the rendering
  Throws
    `AdContentException`

### cnvrtSC

    public static final String cnvrtSC(String s)

  Convert special characters.

  See Also
    `AdHelper.toHTML(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.